using APT.BaseData.Domain.Entities;
using System;
using System.Collections.Generic;
using System.Text;

namespace APT.BaseData.Domain.ApiModel
{
    public class FormConfigDbModel
    {
        public List<T_PF_FORM> AddForms = new List<T_PF_FORM>();
        public List<T_PF_PAGE_EDIT> AddEdits = new List<T_PF_PAGE_EDIT>();
        public List<T_PF_PAGE_EDIT_PANEL> AddEditPanels = new List<T_PF_PAGE_EDIT_PANEL>();

        public List<T_PF_PARAM_ITEM> AddParamItems = new List<T_PF_PARAM_ITEM>();
        public List<T_PF_PARAM_SCHEME> AddParamSchemes = new List<T_PF_PARAM_SCHEME>();
        public List<T_PF_PARAM_SCHEME_DETAIL> AddParamSchemeDetails = new List<T_PF_PARAM_SCHEME_DETAIL>();
        public List<T_PF_PAGE_TABLE_PANEL> AddTablePanels = new List<T_PF_PAGE_TABLE_PANEL>();
        public List<T_PF_EDIT_COLUMN> AddEditColumns = new List<T_PF_EDIT_COLUMN>();
        public List<T_PF_EDIT_COLUMN_FILTER> AddEditColumnFilters = new List<T_PF_EDIT_COLUMN_FILTER>();
        public List<T_PF_EDIT_COLUMN_FILL_MAP> AddEditColumnFillMaps = new List<T_PF_EDIT_COLUMN_FILL_MAP>();
        public List<T_PF_EDIT_COLUMN_FILL_MAP_D> AddEditColumnFillMapDs = new List<T_PF_EDIT_COLUMN_FILL_MAP_D>();
        public List<T_PF_PAGE_CUSTOM> AddCustoms = new List<T_PF_PAGE_CUSTOM>();
        public List<T_PF_PAGE_CHART> AddCharts = new List<T_PF_PAGE_CHART>();
        public List<T_PF_PAGE_CHART_PARAM> AddChartParams = new List<T_PF_PAGE_CHART_PARAM>();
        public List<T_PF_PAGE_TABLE> AddTables = new List<T_PF_PAGE_TABLE>();
        public List<T_PF_COLUMN> AddColums = new List<T_PF_COLUMN>();
        public List<T_PF_COLUMN_FILTER> AddColumFilters = new List<T_PF_COLUMN_FILTER>();
        public List<T_PF_TABLE_PARAMS> AddTableParams = new List<T_PF_TABLE_PARAMS>();
        public List<T_PF_QUERY> AddQuerys = new List<T_PF_QUERY>();
        public List<T_PF_FORM_QUERY> AddFormQuerys = new List<T_PF_FORM_QUERY>();
        public List<T_PF_PAGE_TREE> AddTrees = new List<T_PF_PAGE_TREE>();
        public List<T_PF_TREE_COLUMN> AddTreeColumns = new List<T_PF_TREE_COLUMN>();
        public List<T_PF_BTN> AddBtns = new List<T_PF_BTN>(); 
        public List<T_PF_MENU> AddMenus = new List<T_PF_MENU>();


        public List<T_PF_FORM> UpdateForms = new List<T_PF_FORM>();
        public List<T_PF_PAGE_EDIT> UpdateEdits = new List<T_PF_PAGE_EDIT>();
        public List<T_PF_PAGE_EDIT_PANEL> UpdateEditPanels = new List<T_PF_PAGE_EDIT_PANEL>();

        public List<T_PF_PARAM_ITEM> UpdateParamItems = new List<T_PF_PARAM_ITEM>();
        public List<T_PF_PARAM_SCHEME> UpdateParamSchemes = new List<T_PF_PARAM_SCHEME>();
        public List<T_PF_PARAM_SCHEME_DETAIL> UpdateParamSchemeDetails = new List<T_PF_PARAM_SCHEME_DETAIL>();
        public List<T_PF_PAGE_TABLE_PANEL> UpdateTablePanels = new List<T_PF_PAGE_TABLE_PANEL>();
        public List<T_PF_EDIT_COLUMN> UpdateEditColumns = new List<T_PF_EDIT_COLUMN>();
        public List<T_PF_EDIT_COLUMN_FILTER> UpdateEditColumnFilters = new List<T_PF_EDIT_COLUMN_FILTER>();
        public List<T_PF_EDIT_COLUMN_FILL_MAP> UpdateEditColumnFillMaps = new List<T_PF_EDIT_COLUMN_FILL_MAP>();
        public List<T_PF_EDIT_COLUMN_FILL_MAP_D> UpdateEditColumnFillMapDs = new List<T_PF_EDIT_COLUMN_FILL_MAP_D>();
        public List<T_PF_PAGE_CUSTOM> UpdateCustoms = new List<T_PF_PAGE_CUSTOM>();
        public List<T_PF_PAGE_CHART> UpdateCharts = new List<T_PF_PAGE_CHART>();
        public List<T_PF_PAGE_CHART_PARAM> UpdateChartParams = new List<T_PF_PAGE_CHART_PARAM>();
        public List<T_PF_PAGE_TABLE> UpdateTables = new List<T_PF_PAGE_TABLE>();
        public List<T_PF_COLUMN> UpdateColums = new List<T_PF_COLUMN>();
        public List<T_PF_COLUMN_FILTER> UpdateColumFilters = new List<T_PF_COLUMN_FILTER>();
        public List<T_PF_TABLE_PARAMS> UpdateTableParams = new List<T_PF_TABLE_PARAMS>();
        public List<T_PF_QUERY> UpdateQuerys = new List<T_PF_QUERY>();
        public List<T_PF_FORM_QUERY> UpdateFormQuerys = new List<T_PF_FORM_QUERY>();
        public List<T_PF_PAGE_TREE> UpdateTrees = new List<T_PF_PAGE_TREE>();
        public List<T_PF_TREE_COLUMN> UpdateTreeColumns = new List<T_PF_TREE_COLUMN>();
        public List<T_PF_BTN> UpdateBtns = new List<T_PF_BTN>();
    }

}
